Skip to main content
POST
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
lists
/
{direction}
/
{type}
Create List Entry
curl --request POST \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/lists/{direction}/{type} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entry": "<string>",
  "reason": "<string>"
}
'
{
  "entry": "<string>",
  "organization_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "pod_id": "<string>",
  "reason": "<string>",
  "read_only": true,
  "inbox_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer authentication

Path Parameters

inbox_id
string
required

The ID of the inbox.

direction
enum<string>
required

Direction of list entry.

Available options:
send,
receive,
reply
type
enum<string>
required

Type of list entry.

Available options:
allow,
block

Body

application/json
entry
string
required

Email address or domain to add.

reason
string

Reason for adding the entry.

Response

Response with status 200

entry
string
required

Email address or domain of list entry.

organization_id
string
required

ID of organization.

direction
enum<string>
required

Direction of list entry.

Available options:
send,
receive,
reply
list_type
enum<string>
required

Type of list entry.

Available options:
allow,
block
entry_type
enum<string>
required

Whether the entry is an email address or domain.

Available options:
email,
domain
created_at
string<date-time>
required

Time at which entry was created.

pod_id
string
required

ID of pod.

reason
string

Reason for adding the entry.

read_only
boolean

Whether the entry is read-only and cannot be deleted via the API.

inbox_id
string

ID of inbox, if entry is inbox-scoped.